path: /build/build/nvidia-535-kernel-modules-kernel-5.4-535.183.01+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise upgrade -y && anise i -y x11-drivers-535/nvidia-drivers
    && anise cleanup && emerge =x11-drivers/nvidia-kernel-modules-535.183.01 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-535.183.01
  - |
    eval 'rm -rf /nvidia-535-kernel-modules || true' && mkdir /nvidia-535-kernel-modules && \
    luet-portage --dir /nvidia-535-kernel-modules x11-drivers/nvidia-kernel-modules
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:72ff7f9aca816a333481a47921bf0574f3c5729d8674e5801e45ee8b00d18015
  package:
    name: nvidia-535-kernel-modules
    version: 535.183.01+1
    category: kernel-5.4
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.4
    annotations:
      kernel_module: true
    buildtimestamp: 2024-09-11 07:44:52.142314817 +0000 UTC m=+836.444290211
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.4.283
      original.package.slot: "535"
      original.package.version: 535.183.01
    treedir: /build/packages
  package_dir: /nvidia-535-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d7bc1183c921591920923195ceb9e5245b8f7a3677aad80383225b70e2cbee25
compressiontype: zstd
files:
- lib/modules/nvidia/535.183.01/5.4.283-macaroni/video/nvidia-drm.ko
- lib/modules/nvidia/535.183.01/5.4.283-macaroni/video/nvidia-modeset.ko
- lib/modules/nvidia/535.183.01/5.4.283-macaroni/video/nvidia-uvm.ko
- lib/modules/nvidia/535.183.01/5.4.283-macaroni/video/nvidia.ko
package_cacheimage: ""
runtime:
  name: nvidia-535-kernel-modules
  version: 535.183.01+1
  category: kernel-5.4
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.4.283
    original.package.slot: "535"
    original.package.version: 535.183.01
